## org.gjt.sp.jedit.gui
Class ShortcutPrefixActiveEvent

    java.lang.Object
      java.util.EventObject
          javax.swing.event.ChangeEvent
              org.gjt.sp.jedit.gui.ShortcutPrefixActiveEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ShortcutPrefixActiveEvent

extends javax.swing.event.ChangeEvent

Description of the Class

See Also:
  Serialized Form

Field Summary
`protected boolean` `active` Description of the Field
`protected java.util.Hashtable` `bindings` Description of the Field
`protected static javax.swing.event.EventListenerList` `listenerList` Description of the Field

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ShortcutPrefixActiveEvent(java.util.Hashtable bindings, boolean active)` Constructor for the ShortcutPrefixActiveEvent object

Method Summary
`static void` `addChangeEventListener(javax.swing.event.ChangeListener l)` Adds a feature to the ChangeEventListener attribute of the ShortcutPrefixActiveEvent class
`static void` `firePrefixStateChange(java.util.Hashtable bindings, boolean listeningForShortcutCompletion)` Description of the Method
`boolean` `getActive()` Gets the active attribute of the ShortcutPrefixActiveEvent object
`java.util.Hashtable` `getBindings()` Gets the bindings attribute of the ShortcutPrefixActiveEvent object
`static void` `removeChangeEventListener(javax.swing.event.ChangeListener l)` Description of the Method

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bindings

    protected java.util.Hashtable bindings

  Description of the Field

### active

    protected boolean active

  Description of the Field

### listenerList

    protected static javax.swing.event.EventListenerList listenerList

  Description of the Field

Constructor Detail

### ShortcutPrefixActiveEvent

    public ShortcutPrefixActiveEvent(java.util.Hashtable bindings,
                                     boolean active)

  Constructor for the ShortcutPrefixActiveEvent object

  Parameters:
    `bindings` - Description of the Parameter
    `active` - Description of the Parameter

Method Detail

### addChangeEventListener

    public static void addChangeEventListener(javax.swing.event.ChangeListener l)

  Adds a feature to the ChangeEventListener attribute of the ShortcutPrefixActiveEvent class

  Parameters:
    `l` - The feature to be added to the ChangeEventListener attribute

### removeChangeEventListener

    public static void removeChangeEventListener(javax.swing.event.ChangeListener l)

  Description of the Method

  Parameters:
    `l` - Description of the Parameter

### firePrefixStateChange

    public static void firePrefixStateChange(java.util.Hashtable bindings,
                                             boolean listeningForShortcutCompletion)

  Description of the Method

  Parameters:
    `bindings` - Description of the Parameter
    `listeningForShortcutCompletion` - Description of the Parameter

### getBindings

    public java.util.Hashtable getBindings()

  Gets the bindings attribute of the ShortcutPrefixActiveEvent object

  Returns:
    The bindings value

### getActive

    public boolean getActive()

  Gets the active attribute of the ShortcutPrefixActiveEvent object

  Returns:
    The active value